# Multi-agent interaction planning

Multi-agent interaction planning code for RA-L submission ID: **tbd**

# Multi-Agent Interaction Planning Code

## Description

Contains two implemented algorithms to achieve multi-agent intermittent interaction planning. In the [IIP](./IIP) directory is the novel algorithm proposed in a recent RA-L submission (submission ID: 'tbd'). While in the [HS](./HS) directory is a method from [a related work][hollinger2010] ([later extended][hollinger2012]).

## Table of Contents

## Usage

Run the main code, including obstacle generation, environment simulation, sample selection, as well as multi-agent path planning, by executing "Matlab Code/multi_agent_path_planning.m"

## Contributing

## Credits

## License

[hollinger2012]: https://ieeexplore.ieee.org/abstract/document/6177277
[hollinger2010]: https://ieeexplore.ieee.org/abstract/document/5509175